Skip to main content

Documentation Index

Fetch the complete documentation index at: https://auth0-feat-authentication-api-migration.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

POST /oauth/ro
This endpoint is part of the legacy authentication pipeline and has been replaced in favor of the Password Grant. For more information on the latest authentication pipeline refer to Introducing OIDC Conformant Authentication.
Use this endpoint for API-based (active) authentication. Given the user credentials and the connection specified, it will do the authentication on the provider and return a JSON with the Access Token and ID Token.

Remarks

  • This endpoint only works for database connections, passwordless connections, Active Directory/LDAP, Windows Azure AD and ADFS.
  • The main difference between passive and active authentication is that the former happens in the browser through the Auth0 Login Page and the latter can be invoked from anywhere (a script, server to server, and so forth).
  • The sample auth0.js script uses the library version 8. If you are using auth0.js version 7, please see this reference guide.

Learn More

Parameters

client_id
string
required
The client_id of your application.
username
string
required
Username/email of the user to login.
password
string
required
Password of the user to login.
connection
string
required
The name of the connection to use for login.
scope
string
Set to openid to retrieve also an ID Token.
grant_type
string
required
Set to password or urn:ietf:params:oauth:grant-type:jwt-bearer.
device
string
Required when grant_type is urn:ietf:params:oauth:grant-type:jwt-bearer.
id_token
string
Required when grant_type is urn:ietf:params:oauth:grant-type:jwt-bearer.

Response

StatusDescription
200Successful authentication response
400Bad Request